// **********************************************************************
//
// Copyright (c) 2003-2007 ZeroC, Inc. All rights reserved.
//
// This copy of Ice is licensed to you under the terms described in the
// ICE_LICENSE file included in this distribution.
//
// **********************************************************************

#include <Ice/Ice.h>
#include <HelloI.h>

using namespace std;
using namespace Demo;

void
HelloForwardI::forward(const Ice::Current& c)
{
    cout << "HelloForwardI::forward" << endl;
    HelloPrx h = HelloPrx::checkedCast(c.adapter->getCommunicator()->stringToProxy("hello:tcp -p 11000"));
    h->sayHello();
}

void
HelloI::sayHello(const Ice::Current&)
{
    cout << "Hello World!" << endl;
}
